# Uses of Class
jdk.jfr.FlightRecorder

Packages that use FlightRecorder
Package
Description
jdk.jfr
This package provides classes to create events and control Flight Recorder.

## Uses of FlightRecorder in jdk.jfr

Methods in jdk.jfr that return FlightRecorder
Modifier and Type
Method
Description
`static FlightRecorder`
FlightRecorder.`getFlightRecorder()`
Returns the Flight Recorder for the platform.
Methods in jdk.jfr with parameters of type FlightRecorder
Modifier and Type
Method
Description
`default void`
FlightRecorderListener.`recorderInitialized(FlightRecorder recorder)`
Receives notification when Flight Recorder is initialized.